Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88977 - (LVM) Serious LVM regression (snapshots broken) +patch
Summary: (LVM) Serious LVM regression (snapshots broken) +patch
Keywords:
Status: CLOSED DUPLICATE of bug 84278
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-15 22:05 UTC by Dax Kelson
Modified: 2007-04-18 16:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:52:42 UTC


Attachments (Terms of Use)

Description Dax Kelson 2003-04-15 22:05:12 UTC
Description of problem:
In kernels 2.4.20-8 and 2.4.20-9, LVM snapshots no longer work. They did work
fine in RHL8.0.

Version-Release number of selected component (if applicable):

lvm-1.0.3-12
kernel-2.4.20-[89]

How reproducible:

Every time

Steps to Reproduce:
1. Create LVM LV
2. Create LVM snapshot with:

lvcreate --size 100M --snapshot --name snap1 /dev/vg01/wwwdata

3. Try to mount/use snapshot block device:

# mount /dev/vg01/snap1 /mnt/snapshot
mount: block device /dev/vg01/snap1 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/vg01/snap1, or too
many mounted file systems

Additional info:

LVM snapshots are a very important feature and are often used. Some would argue
that they are the most commonly used and most useful feature of LVM (given that
 live -- while mounted -- resizes don't work yet). We use LVM snapshots to get
consistent backups.  This seems a quite high priority problem to get fixed ASAP.

Comment 1 G. Reno 2003-04-21 15:58:14 UTC
Absolutely agree.  Very critical for backup consistency.

Comment 2 Matthew Kent 2003-05-05 21:35:20 UTC
See my attachment in 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=84278

for a fix, don't kill me if it doesnt work for you. I'm using it on a 
production box for mysql backups and it's been alright so far.

Comment 3 Dax Kelson 2003-05-23 00:47:44 UTC
Stephen, can you comment on how RH views the severity of this bug, and if a fix
for this will make into the next RHL9 errata kernel?

Comment 4 Graham King 2003-06-05 20:24:17 UTC
This has also been reported as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=88115

My backup devices are external USB disk with OHCI driver, for which I am forced
to upgrade this RH8.0 installation from 2.4.18-14 in order to avoid a system
freeze (described in https://rhn.redhat.com/errata/RHSA-2003-135.html).  The
current inability to mount snapshots is therefore of critical importance to me.

Comment 5 Alan Cox 2003-06-08 14:39:51 UTC

*** This bug has been marked as a duplicate of 84278 ***

Comment 6 Red Hat Bugzilla 2006-02-21 18:52:42 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.